import React from "react";
import { IconBadge } from "@ess-ics/ce-ui-common";
import { HostStatusIcon } from "./HostIcons";
import { extractMainNetwork } from "../common/Helper";

export function HostBadge({ host, ...rest }) {
  return (
    <IconBadge
      icon={<HostStatusIcon host={host} />}
      title={host.csEntryHost?.fqdn}
      subtitle={extractMainNetwork(host?.csEntryHost?.interfaces, "---")}
      {...rest}
    />
  );
}
